{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Powerdrill","colors":{"primary":"#803FE2","light":"#9E6CE8","dark":"#803FE2"},"logo":{"light":"https://mintcdn.com/powerdrill-55/G5-71rSRmaWb4Deb/logo/light_old.svg?fit=max\u0026auto=format\u0026n=G5-71rSRmaWb4Deb\u0026q=85\u0026s=dc2f74f20167a362fea696e338f33414","dark":"https://mintcdn.com/powerdrill-55/G5-71rSRmaWb4Deb/logo/dark_old.svg?fit=max\u0026auto=format\u0026n=G5-71rSRmaWb4Deb\u0026q=85\u0026s=695f412bda840aa700144b31bb1ec4bb"},"favicon":"https://mintcdn.com/powerdrill-55/bBGveC8zr4vD5DAR/favicon.png?fit=max\u0026auto=format\u0026n=bBGveC8zr4vD5DAR\u0026q=85\u0026s=6f84811bf7e1eefae3b7cca21207dc09","background":{"image":"https://mintlify.s3.us-west-1.amazonaws.com/powerdrill-55/background.png"},"navbar":{"links":[{"href":"https://github.com/powerdrillai","label":"GitHub"}],"primary":{"type":"button","label":"Get Started","href":"https://powerdrill.ai"}},"footer":{"socials":{"github":"https://github.com/powerdrillai","youtube":"https://www.youtube.com/@powerdrill_ai","twitter":"https://twitter.com/powerdrillai","discord":"https://discord.gg/ZsyyD5ysRC","linkedin":"https://www.linkedin.com/company/powerdrill"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"powerdrill-55","hasAudioNarration":false,"actualSubdomain":"powerdrill-55","customDomains":["docs.powerdrill.ai"],"gitSource":{"type":"github","owner":"powerdrillai","repo":"powerdrill_docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a676e74b2a6a80119146f2c","collectionId":"16d59170-1e02-488c-bffd-27d8bdcf9eb3","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a676e74b2a6a80119146f2c"},"entitlements":{},"buildId":"6a676e74b2a6a80119146f2c:success","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"API Reference","count":54},{"language":"default","tag":"Open API V2","count":28},{"language":"default","tag":"Open API V1 (Deprecated)","count":26},{"language":"default","tag":"Documentation","count":14},{"language":"default","tag":"Data sources","count":12},{"language":"default","tag":"Datasets","count":12},{"language":"default","tag":"Sessions","count":12},{"language":"default","tag":"Enterprise","count":11},{"language":"default","tag":"Features","count":9},{"language":"default","tag":"Overview","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/create-data-source","slug":"/api-reference/create-data-source","pageMetadata":{"openapi":"post /v1/team/datasets/{datasetId}/datasources","title":"Create data source","description":"Creates a data source in the specified dataset. \n","href":"/api-reference/create-data-source"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates a data source in the specified dataset.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /v1/team/datasets/{datasetId}/datasources","title":"Create data source","description":"Creates a data source in the specified dataset. \n","href":"/api-reference/create-data-source"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Create data source","deprecated":false,"description":"Creates a data source in the specified dataset. \n","tags":["Data source"],"parameters":["cb7ecb6c-ab6f-4dc6-8a2e-fa3844da9c3e","e7ea848d-8ab5-41a6-b51c-ec2e468609d2","17c85143-fa83-4f7e-9e6b-fab887e70b40"],"requestBody":"136028f8-ea78-4288-8e18-8c3b15b5d4d3","responses":{"200":"2272d339-02b7-4c59-af6e-6d25b89d8a28"},"security":["37678e8e-8916-48d4-8806-3840ffb209fc"],"method":"post","type":"path","servers":["e5ca796a-a461-4adb-b512-a5252aea46fd"],"path":"/v1/team/datasets/{datasetId}/datasources","baseUrlOptions":["https://ai.data.cloud/api"],"title":"Create data source","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"cb7ecb6c-ab6f-4dc6-8a2e-fa3844da9c3e":{"name":"datasetId","in":"path","description":"The dataset ID.","required":true,"schema":{"type":"string","isRequired":true,"description":"The dataset ID.","uniqueKey":"","typeLabel":"string"}},"e7ea848d-8ab5-41a6-b51c-ec2e468609d2":{"name":"userId","in":"query","description":"Your user ID.\n\nHow to obtain your user ID: Sign in to Powerdrill Enterprise, click **Users** in the top navigation bar, and find your user ID in the list of users.","required":true,"schema":{"type":"string","isRequired":true,"description":"Your user ID.\n\nHow to obtain your user ID: Sign in to Powerdrill Enterprise, click **Users** in the top navigation bar, and find your user ID in the list of users.","uniqueKey":"","typeLabel":"string"}},"17c85143-fa83-4f7e-9e6b-fab887e70b40":{"name":"x-pd-external-trace-id","in":"header","description":"The external trace ID. The length ranges from 0 to 128 characters.","required":false,"example":"","schema":{"type":"string","isRequired":false,"description":"The external trace ID. The length ranges from 0 to 128 characters.","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"fileName":{"type":"string","description":"The file name, preferably including the file extension.","isRequired":true,"uniqueKey":"fileName","typeLabel":"string"},"type":{"type":"string","description":"The type of the data source. Set it to **FILE**.","title":"FILE","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"userId":{"type":"string","description":"Your user ID. \n\nHow to obtain your user ID: Sign in to Powerdrill Enterprise, click **Users** in the top navigation bar, and find your user ID in the list of users.","isRequired":true,"uniqueKey":"userId","typeLabel":"string"},"name":{"type":"string","description":"The name of the data source. If not provided, it will default to the value of `fileName`.","uniqueKey":"name","typeLabel":"string"},"url":{"type":"string","description":"The URL of the file for public access. \n\nOnly files with the following extensions are supported: **.csv**, **.tsv**, **.md**, **.mdx**, **.json**, **.txt**, **.pdf**, **.pptx**, **.ppt**, **.doc**, **.docx**, **.xls**, or **.xlsx**.\n\nYou must specify either `url` or `fileKey`, but not both.","uniqueKey":"url","typeLabel":"string"},"fileKey":{"type":"string","description":"The object storage path to your locally uploaded file.\n\nOnly files with the following extensions are supported: **.csv**, **.tsv**, **.md**, **.mdx**, **.json**, **.txt**, **.pdf**, **.pptx**, **.ppt**, **.doc**, **.docx**, **.xls**, or **.xlsx**.\n\nEach time you upload a file through the [Upload file](/api-reference/upload-file) endpoint, its `fileKey` is returned. For more details, see [How to Upload Local Files](/developer-guides/upload-file).\n\nYou must specify either `url` or `fileKey`, but not both.","uniqueKey":"fileKey","typeLabel":"string"}},"required":["fileName","type","userId"],"uniqueKey":"","typeLabel":"object"},"example":{"name":"test.csv","fileName":"test.csv","type":"FILE","url":"https://s3.amazonaws.com/powerdrilltest/user/clvl4cad2001q01l1m522hxlu/upload/f9773f1e-cd68-489a-8121-d566ca9218b1.csv?X-Amz-Algorithm=AWS4-HMAC-SHA256\u0026X-Amz-Date=20240924T143419Z\u0026X-Amz-SignedHeaders=host\u0026X-Amz-Expires=599\u0026X-Amz-Credential=AKIARLSQLXURHEIDN4OZ%2F20240924%2Fus-east-1%2Fs3%2Faws4_request\u0026X-Amz-Signature=9ca0c58d508926a5811818041d557ffb53c64025dae94c0855280d457c7089a2","userId":"tmm-cm5m7khoz52zh07n4m7x1ut60"},"examples":{"Example":{"title":"Example","value":{"name":"test.csv","fileName":"test.csv","type":"FILE","url":"https://s3.amazonaws.com/powerdrilltest/user/clvl4cad2001q01l1m522hxlu/upload/f9773f1e-cd68-489a-8121-d566ca9218b1.csv?X-Amz-Algorithm=AWS4-HMAC-SHA256\u0026X-Amz-Date=20240924T143419Z\u0026X-Amz-SignedHeaders=host\u0026X-Amz-Expires=599\u0026X-Amz-Credential=AKIARLSQLXURHEIDN4OZ%2F20240924%2Fus-east-1%2Fs3%2Faws4_request\u0026X-Amz-Signature=9ca0c58d508926a5811818041d557ffb53c64025dae94c0855280d457c7089a2","userId":"tmm-cm5m7khoz52zh07n4m7x1ut60"}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"2272d339-02b7-4c59-af6e-6d25b89d8a28":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"Status code. **0** indicates that the operation is successful. Otherwise, the operation fails. Possible error codes include: \n- 100: Bad request. \n- 201: Request frequency limit.\n- 9999: Internal error. \n- 100001: Invalid operation. ","isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"data":{"type":"object","properties":{"id":{"type":"string","description":"The data source ID, which uniquely identifies the data source.","isRequired":true,"uniqueKey":"data.id","typeLabel":"string"},"datasetId":{"type":"string","description":"The dataset ID.","isRequired":true,"uniqueKey":"data.datasetId","typeLabel":"string"},"name":{"type":"string","description":"The data source name.","isRequired":true,"uniqueKey":"data.name","typeLabel":"string"},"fileName":{"type":"string","description":"The file name.","isRequired":true,"uniqueKey":"data.fileName","typeLabel":"string"},"type":{"type":"string","description":"The type of the data source, which is fixed to **FILE**.","enum":["FILE"],"isRequired":true,"uniqueKey":"data.type","typeLabel":"enum\u003cstring>"},"status":{"type":"string","description":"The processing status of the data source. Possible values are:\n- `invalid`: Awaiting processing.\n- `synching`: Currently processing.\n- `synched`: Successfully synchronized.","enum":["synching","synched","invalid"],"isRequired":true,"uniqueKey":"data.status","typeLabel":"enum\u003cstring>"},"userId":{"type":"string","description":"Your user ID. \n\nHow to obtain your user ID: Sign in to Powerdrill Enterprise, click **Users** in the top navigation bar, and find your user ID in the list of users.","isRequired":true,"uniqueKey":"data.userId","typeLabel":"string"}},"required":["id","name","type","datasetId","status","fileName","userId"],"description":"The returned data object.","isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["data","code"],"uniqueKey":"","typeLabel":"object"},"examples":{"1":{"title":"1","value":{"code":0,"data":{"id":"datasource-cadsgfsdagasgadsg","datasetId":"dataset-dagasdgasgasg","name":"test.csv","fileName":"test.csv","type":"FILE","status":"pending"}}}},"exampleType":"examples"}},"headers":{"x-pd-trace-id":{"example":"","required":true,"description":"The trace ID of Powerdrill.","schema":{"type":"string"}}},"exampleType":"examples"}},"security":{"37678e8e-8916-48d4-8806-3840ffb209fc":{"apikey-header-x-pd-api-key":{"type":"apiKey","in":"header","name":"x-pd-api-key","scopes":[]}}},"servers":{"e5ca796a-a461-4adb-b512-a5252aea46fd":{"url":"https://ai.data.cloud/api","description":"体验环境"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-pd-api-key","scopes":[]},"schema":{"title":"x-pd-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apikey-header-x-pd-api-key","name":"x-pd-api-key"}],"title":"apikey-header-x-pd-api-key"}]},"originalFileLocation":"v1-openapi.json"},"subdomain":"powerdrill-55","siteName":"Powerdrill","title":"Create data source - Powerdrill","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-09-18T02:00:39.171Z","originalFileLocation":"api-reference/create-data-source.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a data source in the specified dataset.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Powerdrill\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create data source - Powerdrill\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates a data source in the specified dataset.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Powerdrill\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.powerdrill.ai/api-reference/create-data-source\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://powerdrill-55.mintlify.app/_mintlify/api/og/v2?division=Data+sources\u0026amp;title=Create+data+source\u0026amp;description=Creates+a+data+source+in+the+specified+dataset.+%0A\u0026amp;theme=0c69e19070822010f03aecb8\u0026amp;signature=a0e0ab9116aae7496de376733402e300a3704497054be2479624bba5d6cbefbd\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create data source - Powerdrill\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates a data source in the specified dataset.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://powerdrill-55.mintlify.app/_mintlify/api/og/v2?division=Data+sources\u0026amp;title=Create+data+source\u0026amp;description=Creates+a+data+source+in+the+specified+dataset.+%0A\u0026amp;theme=0c69e19070822010f03aecb8\u0026amp;signature=a0e0ab9116aae7496de376733402e300a3704497054be2479624bba5d6cbefbd\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/powerdrill-55/3_2Bh6rURdJwY8KX/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Powerdrill\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#803FE2\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.powerdrill.ai/api-reference/create-data-source\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/create-data-source.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.powerdrill.ai/#organization\",\"name\":\"Powerdrill\",\"url\":\"https://docs.powerdrill.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/powerdrill-55/G5-71rSRmaWb4Deb/logo/light_old.svg?fit=max\u0026auto=format\u0026n=G5-71rSRmaWb4Deb\u0026q=85\u0026s=dc2f74f20167a362fea696e338f33414\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.powerdrill.ai#website\",\"name\":\"Powerdrill\",\"url\":\"https://docs.powerdrill.ai\",\"publisher\":{\"@id\":\"https://docs.powerdrill.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.powerdrill.ai/api-reference/create-data-source#webpage\",\"url\":\"https://docs.powerdrill.ai/api-reference/create-data-source\",\"name\":\"Create data source\",\"description\":\"Creates a data source in the specified dataset.\",\"dateModified\":\"2025-09-18T02:00:39.171Z\",\"isPartOf\":{\"@id\":\"https://docs.powerdrill.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.powerdrill.ai/api-reference/create-data-source#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.powerdrill.ai/api-reference/create-data-source#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Powerdrill\",\"item\":\"https://docs.powerdrill.ai\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create data source\",\"item\":\"https://docs.powerdrill.ai/api-reference/create-data-source\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.powerdrill.ai/api-reference/create-data-source#apireference\",\"headline\":\"Create data source\",\"name\":\"Create data source\",\"description\":\"Creates a data source in the specified dataset.\",\"url\":\"https://docs.powerdrill.ai/api-reference/create-data-source\",\"mainEntityOfPage\":{\"@id\":\"https://docs.powerdrill.ai/api-reference/create-data-source#webpage\"},\"dateModified\":\"2025-09-18T02:00:39.171Z\",\"publisher\":{\"@id\":\"https://docs.powerdrill.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.powerdrill.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Powerdrill\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Powerdrill","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/get-started/introduction"}]},{"tab":"Enterprise","pages":[{"title":"Enterprise","href":"/enterprise/introduction"}]},{"tab":"API Reference","anchors":[{"anchor":"Open API V2","icon":"dice-two","pages":[{"title":"Open API V2","href":"/api-reference/v2/overview"}]},{"anchor":"Open API V1 (Deprecated)","icon":"dice-one","groups":[{"group":"Overview","pages":[{"title":"Overview","icon":"book","href":"/api-reference/overview"},{"title":"Authentication","icon":"key","href":"/api-reference/authentication"},{"title":"Streaming","icon":"grip-lines","href":"/api-reference/streaming"},{"title":"Error Codes","icon":"screwdriver-wrench","href":"/api-reference/error-codes"}]},{"group":"Developer Guides","pages":[{"title":"Quick Start","icon":"rocket","href":"/developer-guides/quick-start"},{"title":"How to Upload Local Files","icon":"upload","href":"/developer-guides/upload-file"}]},{"group":"Datasets","pages":[{"openapi":"post /v1/team/datasets","title":"Create dataset","href":"/api-reference/create-dataset"},{"openapi":"get /v1/team/datasets/{datasetId}/status","title":"Get dataset status","href":"/api-reference/get-dataset-status"},{"openapi":"get /v1/team/datasets/{datasetId}/overview","title":"Get dataset overview","href":"/api-reference/get-dataset-overview"},{"openapi":"get /v1/team/datasets","title":"List datasets","href":"/api-reference/list-datasets"},{"openapi":"post /v1/team/datasets/{datasetId}","title":"Modify dataset","href":"/api-reference/modify-dataset"},{"openapi":"delete /v1/team/datasets/{datasetId}","title":"Delete dataset","description":"Deletes the specified dataset. Once deleted, all data sources within the dataset will also be permanently removed and cannot be recovered.","href":"/api-reference/delete-dataset"}]},{"group":"Data sources","pages":[{"openapi":"post /v1/team/datasets/{datasetId}/datasources","title":"Create data source","href":"/api-reference/create-data-source"},{"openapi":"post /v1/team/datasources","title":"Create data source without specifying a dataset","description":"Creates a data source without specifying a dataset. Powerdrill will automatically create a dataset for it.","href":"/api-reference/create-data-source-without-dataset"},{"openapi":"get /v1/team/datasets/{datasetId}/datasources/{datasourceId}","title":"Get data source","href":"/api-reference/get-data-source"},{"openapi":"get /v1/team/datasets/{datasetId}/datasources","title":"List data sources","href":"/api-reference/list-data-sources"},{"openapi":"delete /v1/team/datasets/{datasetId}/datasources/{datasourceId}","title":"Delete data source","href":"/api-reference/delete-data-source"},{"openapi":"post /v1/team/datasets/{datasetId}/datasources/{datasourceId}/presign","title":"Presign data source ","href":"/api-reference/presign-data-source"}]},{"group":"Files","pages":[{"openapi":"post /v1/team/file/upload_datasource","mode":"wide","title":null,"href":"/api-reference/upload-file"}]},{"group":"Sessions","pages":[{"openapi":"post /v1/team/sessions","title":"Create session","href":"/api-reference/create-session"},{"openapi":"get /v1/team/sessions/{sessionId}","title":"Get session","href":"/api-reference/get-session"},{"openapi":"get /v1/team/sessions/{sessionId}/history","title":"Get job history in session","href":"/api-reference/get-job-history"},{"openapi":"get /v1/team/sessions","title":"List sessions","href":"/api-reference/list-sessions"},{"openapi":"post /v1/team/sessions/{sessionId}","title":"Modify session","href":"/api-reference/modify-session"},{"openapi":"delete /v1/team/sessions/{sessionId}","title":"Delete session","href":"/api-reference/delete-session"}]},{"group":"Jobs","pages":[{"openapi":"post /v1/team/jobs","title":"Create job","href":"/api-reference/create-job"}]}]}]}]},"title":"Create data source - Powerdrill","buildId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","deploymentId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-26-lDe7V.js","utils-CWQmgYtH.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-4-Aw3rSD.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-C2zjXYA5.js","snippetPresets-DFmpFA7C.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-FJpQavWq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D_GvPF7k.js","shallow-Bs2ZB0NO.js","getApiPlaygroundDisplay-DCcqJJk-.js","CodeSnippet-DzDxawVe.js","CodeSnippets-aUr7fU-7.js","Page-CT9uE8Ip.js","getPastedJson-Y1fKsj_I.js","icon-DI4zTsDr.js","MethodPill-C0nDlmSQ.js","DuplicateIcon-NUXbx2nQ.js","createIcon-BdTHrPAi.js","DynamicMarkdown-CtpgKJwj.js","SectionHeading-B3x35tOt.js","axios-vUo_bRtp.js","Markdown-3OmurJMP.js","clsx-DMKzROTp.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-1ms6tsT-.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Ke9xIMFx.js"]}